


SORT(1L)          MISC. REFERENCE MANUAL PAGES           SORT(1L)



NAME
     sort - sort lines of text files

SYNOPSIS
     sort [-cmus]  [-t  separator]  [-o  output-file]  [-bdfiMnr]
     [+POS1 [-POS2]] [-k POS1[,POS2]] [file...]

DESCRIPTION
     This manual page documents the GNU version  of  sort.   sort
     sorts,  merges,  or  compares  all  the lines from the given
     files, or the standard input if no files are given.  A  file
     name  of  `-' means standard input.  By default, sort writes
     the results to the standard output.

     sort has three  modes  of  operation:  sort  (the  default),
     merge,  and  check  for  sortedness.   The following options
     change the operation mode:

     -4mc24m   Check whether the given files are  already  sorted:  if
          they  are  not  all  sorted, print an error message and
          exit with a status of 1.

     -4mm24m   Merge the given files by sorting them as a group.  Each
          input  file  should already be individually sorted.  It
          always works to sort instead of merge; merging is  pro-
          vided because it is faster, in the case where it works.

     A pair of lines is compared as follows: if  any  key  fields
     have  been  specified, sort compares each pair of fields, in
     the order specified on the command line,  according  to  the
     associated  ordering options, until a difference is found or
     no fields are left.

     If any of the global options 4mMbdfinr24m are given  but  no  key
     fields are specified, sort compares the entire lines accord-
     ing to the global options.

     Finally, as a last resort when all keys compare equal (or if
     no  ordering  options  were specified at all), sort compares
     the lines byte by byte in machine collating  sequence.   The
     -4ms24m  option disables this last resort comparison, producing a
     stable sort.

     GNU sort has no limits on input line length or  restrictions
     on  bytes  allowed  within lines.  In addition, if the final
     byte of an input file is not a newline,  GNU  sort  silently
     supplies  one.   In  some cases, such as exactly what the -4mb24m
     and -4mf24m options do, BSD and System V  sort  programs  produce
     different output; GNU sort follows the POSIX behavior, which
     is usually like the System V behavior.





Sun Release 4.1           Last change:                          1






SORT(1L)          MISC. REFERENCE MANUAL PAGES           SORT(1L)



     If the environment variable TMPDIR is set, sort uses  it  as
     the directory in which to put temporary files instead of the
     default, /tmp.

     The following options affect the ordering of  output  lines.
     They  may be specified globally or as part of a specific key
     field.  If no key fields are specified, global options apply
     to  comparison of entire lines; otherwise the global options
     are inherited by key fields that do not specify any  special
     options of their own.

     -4mb24m   Ignore leading blanks when finding sort  keys  in  each
          line.

     -4md24m   Sort  in  `dictionary  order':  ignore  all  characters
          except letters, digits and blanks when sorting.

     -4mf24m   Fold lower case characters into  the  equivalent  upper
          case  characters when sorting so that, for example, `b'
          is sorted the same way `B' is.

     -4mi24m   Ignore characters  outside  the  ASCII  range  040-0176
          (inclusive) when sorting.

     -4mM24m   An initial string, consisting of any  amount  of  white
          space,  followed  by three letters abbreviating a month
          name, is folded to lower case and compared in the order
          `jan' < `feb' < ... < `dec.'  Invalid names compare low
          to valid names.  This option implies -4mb24m.

     -4mn24m   Compare  according  to  arithmetic  value  an   initial
          numeric  string  consisting of optional white space, an
          optional - sign, and zero or  more  digits,  optionally
          followed  by  a  decimal point and zero or more digits.
          This option implies -4mb24m.

     -4mr24m   Reverse the result of comparison, so  that  lines  with
          greater key values appear earlier in the output instead
          of later.

     Other options are:

     -4mo24m 4moutput24m-4mfile24m
          Write output to 4moutput24m-4mfile24m instead of to the  standard
          output.  If 4moutput24m-4mfile24m is one of the input files, sort
          copies it to a temporary file before sorting and  writ-
          ing the output to 4moutput24m-4mfile24m.

     -4mt24m 4mseparator24m
          Use character 4mseparator24m as  the  field  separator  when
          finding the sort keys in each line.  By default, fields
          are separated  by  the  empty  string  between  a  non-



Sun Release 4.1           Last change:                          2






SORT(1L)          MISC. REFERENCE MANUAL PAGES           SORT(1L)



          whitespace  character and a whitespace character.  That
          is to say, given the input line ` foo bar', sort breaks
          it  into fields ` foo' and ` bar'.  The field separator
          is not considered  to  be  part  of  either  the  field
          preceding or the field following it.

     -4mu24m   For the default case or the -4mm24m option, only output  the
          first  of  a sequence of lines that compare equal.  For
          the -4mc24m option, check that no pair of consecutive  lines
          compares equal.

     +4mPOS124m [-4mPOS224m]
          Specify a field within each line to use  as  a  sorting
          key.   The  field  consists  of the portion of the line
          starting at POS1 and up to (but not including) POS2 (or
          to  the  end  of  the  line if POS2 is not given).  The
          fields and character positions  are  numbered  starting
          with 0.

     -4mk24m 4mPOS124m[,4mPOS224m]
          An alternate syntax for specifying sorting  keys.   The
          fields  and  character  positions are numbered starting
          with 1.

     A position has the form 4mf24m.4mc24m, where 4mf24m is the  number  of  the
     field to use and 4mc24m is the number of the first character from
     the beginning of the field (for +4mpos24m) or from the end of the
     previous field (for -4mpos24m).  The .4mc24m part of a position may be
     omitted in which case it is taken to be the first  character
     in  the field.  If the -4mb24m option has been given, the .4mc24m part
     of a field specification is counted from the first  nonblank
     character of the field (for +4mpos24m) or from the first nonblank
     character following the previous field (for -4mpos24m).

     A +4mpos24m or -4mpos24m argument may also  have  any  of  the  option
     letters  4mMbdfinr24m  appended  to  it, in which case the global
     ordering options are not used  for  that  particular  field.
     The  -4mb24m  option  may  be independently attached to either or
     both of the +4mpos24m and -4mpos24m parts of  a  field  specification,
     and  if  it  is inherited from the global options it will be
     attached to both.  If a -4mn24m or -4mM24m option is used, thus imply-
     ing a -4mb24m option, the -4mb24m option is taken to apply to both the
     +4mpos24m and the -4mpos24m parts of a key  specification.   Keys  may
     span multiple fields.











Sun Release 4.1           Last change:                          3



