


UNIQ(1L)          MISC. REFERENCE MANUAL PAGES           UNIQ(1L)



NAME
     uniq - remove duplicate lines from a sorted file

SYNOPSIS
     uniq [-cdu] [-f  skip-fields]  [-s  skip-chars]  [-w  check-
     chars] [-#skip-fields] [+#skip-chars] [--count] [--repeated]
     [--unique]  [--skip-fields=skip-fields]  [--skip-chars=skip-
     chars] [--check-chars=check-chars] [infile] [outfile]

DESCRIPTION
     This manual page documents the GNU version  of  uniq.   uniq
     prints the unique lines in a sorted file, discarding all but
     one of a run of matching lines.  It can optionally show only
     lines  that  appear  exactly once, or lines that appear more
     than once.  uniq requires sorted input because  it  compares
     only consecutive lines.

     If the output file is not  specified,  uniq  writes  to  the
     standard  output.   If  the  input file is not specified, it
     reads from the standard input.

  OPTIONS
     -4mu24m, --4munique24m
          Only print unique lines.

     -4md24m, --4mrepeated24m
          Only print duplicate lines.

     -4mc24m, --4mcount24m
          Print the number of times each line occurred along with
          the line.

     -, -4mf24m, --4mskip24m-4mfields24m=4mnumber24m
          In this option, 4mnumber24m is an integer  representing  the
          number  of  fields  to  skip  over  before checking for
          uniqueness.  The first 4mnumber24m fields,  along  with  any
          blanks  found  before  4mnumber24m  fields  is  reached, are
          skipped over and not counted.  Fields are defined as  a
          strings  of  non-space,  non-tab  characters,  that are
          separated from each other by spaces and tabs.

     --, -4ms24m, +4mskip24m-4mchars24m=4mnumber24m
          In this option, 4mnumber24m  is  an  integer  represent  the
          number  of  characters to skip over before checking for
          uniqueness.  The first 4mnumber24m  characters,  along  with
          any  blanks  found before 4mnumber24m characters is reached,
          are skipped over and not counted.  If you use both  the
          field   and  character  skipping  options,  fields  are
          skipped over first.

     -4mw24m, +4mcheck24m-4mchars24m=4mnumber24m
          Specify the number of  characters  to  compare  in  the



Sun Release 4.1           Last change:                          1






UNIQ(1L)          MISC. REFERENCE MANUAL PAGES           UNIQ(1L)



          lines,  after skipping any specified fields and charac-
          ters.  Normally the entire rest of the lines  are  com-
          pared.

     The long-named options can be introduced with `+' as well as
     `--',  for compatibility with previous releases.  Eventually
     support for `+' will be removed, because it is  incompatible
     with the POSIX.2 standard.















































Sun Release 4.1           Last change:                          2



